/* --- Loader --- */
.loader_bg, .loader_bg_2{
    position: fixed;
    z-index: 9999999;
    width: 100%;
    height: 100%;
}

.loader_bg{
 background: #fff;
}
.loader_bg_2{
 background: rgba(0,0,0,0.5);
}

.loader {
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader img {
    width: 100px;
}

.loader_bg_2 .loading {
 position: fixed;
 z-index: 999;
 height: 2em;
 width: 2em;
 overflow: show;
 margin: auto;
 top: 0;
 left: 0;
 bottom: 0;
 right: 0;
 display:block;
}

.loader_bg_2 .loading:before {
 content: '';
 display: block;
 position: fixed;
 top: 0;
 left: 0;
 width: 100%;
 height: 100%;
 background: radial-gradient(rgba(20, 20, 20,.5), rgba(0, 0, 0, .5));
 background: -webkit-radial-gradient(rgba(20, 20, 20,.5), rgba(0, 0, 0,.5));
}
/* :not(:required) hides these rules from IE9 and below */
.loader_bg_2 .loading:not(:required) {
 /* hide "loading..." text */
 font: 0/0 a;
 color: transparent;
 text-shadow: none;
 background-color: transparent;
 border: 0;
}

.loader_bg_2 .loading:not(:required):after {
 content: '';
 display: block;
 font-size: 10px;
 width: 1em;
 height: 1em;
 -webkit-animation: spinner 1500ms infinite linear;
 -moz-animation: spinner 1500ms infinite linear;
 -ms-animation: spinner 1500ms infinite linear;
 -o-animation: spinner 1500ms infinite linear;
 animation: spinner 1500ms infinite linear;
   border-radius: 0.5em;
 -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
 0% {
   -webkit-transform: rotate(0deg);
   -moz-transform: rotate(0deg);
   -ms-transform: rotate(0deg);
   -o-transform: rotate(0deg);
   transform: rotate(0deg);
 }
 100% {
   -webkit-transform: rotate(360deg);
   -moz-transform: rotate(360deg);
   -ms-transform: rotate(360deg);
   -o-transform: rotate(360deg);
   transform: rotate(360deg);
 }
}
@-moz-keyframes spinner {
 0% {
   -webkit-transform: rotate(0deg);
   -moz-transform: rotate(0deg);
   -ms-transform: rotate(0deg);
   -o-transform: rotate(0deg);
   transform: rotate(0deg);
 }
 100% {
   -webkit-transform: rotate(360deg);
   -moz-transform: rotate(360deg);
   -ms-transform: rotate(360deg);
   -o-transform: rotate(360deg);
   transform: rotate(360deg);
 }
}
@-o-keyframes spinner {
 0% {
   -webkit-transform: rotate(0deg);
   -moz-transform: rotate(0deg);
   -ms-transform: rotate(0deg);
   -o-transform: rotate(0deg);
   transform: rotate(0deg);
 }
 100% {
   -webkit-transform: rotate(360deg);
   -moz-transform: rotate(360deg);
   -ms-transform: rotate(360deg);
   -o-transform: rotate(360deg);
   transform: rotate(360deg);
 }
}
@keyframes spinner {
 0% {
   -webkit-transform: rotate(0deg);
   -moz-transform: rotate(0deg);
   -ms-transform: rotate(0deg);
   -o-transform: rotate(0deg);
   transform: rotate(0deg);
 }
 100% {
   -webkit-transform: rotate(360deg);
   -moz-transform: rotate(360deg);
   -ms-transform: rotate(360deg);
   -o-transform: rotate(360deg);
   transform: rotate(360deg);
 }
}
 .modal-content {
   border-radius:none !important;
  box-shadow: 2px 2px 2px grey !important;
 }

 .visible-scrollbar, .invisible-scrollbar, .mostly-customized-scrollbar {
  display: block;
  width: 10px;
  overflow: auto;
  height: 2em;
}
::-webkit-scrollbar {
  width: 8px;               /* width of the entire scrollbar */
}

::-webkit-scrollbar-track {
  background: grey;        /* color of the tracking area */
}

::-webkit-scrollbar-thumb {
  background-color: black;    /* color of the scroll thumb */
  border-radius: 20px;       /* roundness of the scroll thumb */
  border: 1px solid grey;  /* creates padding around scroll thumb */
}

/*---*/

/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: #0ae #F5F5F5;
}

/* Works on Chrome, Edge, and Safari */
::-webkit-scrollbar {
  height:10px;
	width: 8px;
	background-color: #F5F5F5;
  border: 1px solid #0ae;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
	background-color: #0ae;
	background-image: -webkit-gradient(linear, 0 0, 0 100%,
	                   color-stop(.5, rgba(255, 255, 255, .2)),
					   color-stop(.5, transparent), to(transparent));
}

.modal {
  padding: 0 !important; /* override inline padding-right added from js */
}
.modal .modal-xl {
  max-width: 95%;
  height: 100%;
}
.modal .modal-dialog {
  width: 95%!important;
  /* max-width: 95%; */
  /* height: 100%; */
  margin: 0 auto;
}
.modal .modal-xl .modal-content {
  height: 95%;
}
.modal .modal-content {
  border: 0;
  border-radius: 0;
}
.modal .modal-body {
  overflow-y: auto;
}
.table {
font-size: 13.5px !important;
}
.btn-group-xs>.btn, .btn-xs, .btn-csize {
  padding: 1px 5px;
  font-size: 12px;
  line-height: 1.5;
  border-radius: 3px;
}
.topbar {
  
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 50%;
}
.navbar {
  padding: 0rem 0rem !important;
}
#content .container-fluid{
  padding-top:1rem;
}
.tpx {
  font-size:14px;
}
.alert-always-visible {
  display:block !important;
}

.doc-heirarchy {
  position: relative;
  padding: .75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: .35rem;
  color: #0f6848;
  background-color: #d2f4e8;
  border-color: #bff0de;
}